> For the complete documentation index, see [llms.txt](https://docs.arweavekit.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arweavekit.com/auth/get-user-details-with-othent.md).

# Get User Details with Othent

Getting details of user logged in using Othent

The `userDetails` function returns details of the logged in user associated with their user account.

{% hint style="info" %}
Ensure you have pop-ups enabled in your browser for the URL you'll be using this function in.
{% endhint %}

### Basic Syntax

The function is called as follows:

```javascript
import { Othent } from 'arweavekit/auth'

const result = await Othent.userDetails({params});
```

### Input Parameters

* `apiId: string` : Use of any Othent function requires an `apiId` which can be fetched from [othent.io](https://othent.io/). Towards the bottom of the linked page, the `Get your API ID` button provides the same.

<details>

<summary>Example</summary>

```javascript
const result = await Othent.userDetails({
    apiId: string
});
```

This function get the details of the connected user associated with their connected account.

</details>

### Returned Data

The function call returns the following data:

```bash
{
    contract_id: string,
    given_name: string,
    family_name: string,
    nickname: string,
    name: string,
    picture: string,
    locale: string,
    email: string,
    email_verified: string,
    sub: string,
    success?: string,
    message?: string
}
```

* `contract_id: string` : The `contract_id` is the wallet address associated with a user's email account, provided to the user at the time of registration with Othent.
* `given_name: string` : The `given_name` is the connected user's first name associated with the email account.
* `family_name: string` : The `family_name` is the connected user's last name associated with the email account.
* `nickname: string` : The `nickname` is the connected user's initials associated with the email account.
* `name: string` : The `name` is the connected user's given\_name and family\_name joined together.
* `picture: string` : The `picture` is the connected user's profile picture associated with the email account.
* `locale: string` : The `locale` is the connected user's preferred language associated with the email account.
* `email: string` : The `email` is the connected user's email address.
* `email_verified: string` : The `email_verified` holds information the confirmation status of the email.
* `sub: string` : The `sub` is a unique id for Othent's reference.
* `success: string` (optional) : The `success` status of function call.
* `message: string` (optional) : Any `message` to be returned with function call.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.arweavekit.com/auth/get-user-details-with-othent.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
